TestUpdated event schema (documentation only)

⚠️ DO NOT CALL — documentation only. Shows the shape of 'TestUpdated' event delivered via /hubs/notifications.

GET
/api/hubs/notifications/TestUpdated
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Response Body

application/json

curl -X GET "https://api.speaknode.com/api/hubs/notifications/TestUpdated"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "type": "Simulation",
  "seed_messages": [
    {
      "role": "System",
      "content": "string",
      "kind": "Message",
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "interrupted": true,
      "transcript_confidence": 0,
      "metrics": {
        "started_speaking_at": "2019-08-24T14:15:22Z",
        "stopped_speaking_at": "2019-08-24T14:15:22Z",
        "transcription_delay": 0,
        "end_of_turn_delay": 0,
        "on_user_turn_completed_delay": 0,
        "llm_node_ttft": 0,
        "tts_node_ttfb": 0,
        "e2e_latency": 0
      },
      "tool_name": "string",
      "tool_call_id": "string",
      "tool_arguments_json": "string",
      "tool_output": "string",
      "tool_is_error": true,
      "handoff_to_agent_id": "string",
      "instructions": "string",
      "tools_added": [
        "string"
      ]
    }
  ],
  "simulated_user_scenario": "string",
  "success_criteria": "string",
  "max_conversation_turns": 0,
  "mock_all_tools": true,
  "simulated_user_model_version_id": "c50a5fdf-3875-41c9-8ee3-86bfef0f145c",
  "conversation_evaluation_model_version_id": "855f6452-882d-4084-a371-2b8aaa1b49b3",
  "dynamic_variables": {
    "property1": "string",
    "property2": "string"
  },
  "space_id": "22cc9270-58a2-4d80-a821-13400b6090e1",
  "created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}